@import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.cdnfonts.com/css/poppins');

.banner{
    width: 100%;
    height: 100vh;
    text-align: center;
    overflow: hidden;
    position: relative;
}

.banner .slider{
    position: absolute;
    width: 100px;
    height: 120px;
    top: 15%;
    left: calc(50% - 48px);
    transform-style: preserve-3d;
    transform: perspective(1500px);
    animation: autoRun 50s linear infinite;
    z-index: 2;
}
 @keyframes autoRun {
    from{
        transform: perspective(1500px) rotatex(-18deg) rotateY(0deg);
    }to{
        transform: perspective(1500px) rotatex(-18deg)rotateY(360deg);
    }
    
 }

.banner .slider .item{
    position: absolute;
    inset: 0 0 0 0;
    transform: 
      rotateY(calc((var(--position) - 1)* (360/var(--quantity))* 1deg))
      translateZ(300px);
}

.banner .slider .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.banner .content {
    position: absolute ;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: min(1400px ,100vw);
    height: max-content;
    padding-bottom: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    z-index: 1;
}
.banner .content h1{
    font-family: 'ICA Rubrik';
    font-size: 5em;
    line-height:1em ;
    color: #25283b;
    position: relative;
    white-space: nowrap;
    text-align: center;
    top: -50px;

}
.banner .content h1::after{
    position: absolute;
    inset: 0 0 0 0;
    content: attr(data-content);
    z-index: 2;
    -webkit-text-stroke: 2px #d2d2d2 ;
    color: transparent;
}
.banner .content .author{
    font-family: Poppins;
    text-align: right;
    max-width: 200px;
}

.banner .content h2{
    font-size: 1em;
    position: absolute;
    margin-top: 10px;
    text-align: left;
}

.banner .content .model{
     background-image: url("modal.png");
     width: 100%;
     height: 100vh;
     position: absolute;
     bottom: 0;
     left: 0;
     background-size: auto;
     background-repeat: no-repeat;
     background-position: center;
    z-index: 1;
}